- name: "Update repositories (os_family: {{ ansible_os_family }})"
  ansible.builtin.include_tasks:
    file: "{{ misc_dir }}/update_repository_{{ ansible_os_family }}.yml"
  vars:
    misc_dir: "./misc"

- name: "Include dependencies tasks for {{ ansible_os_family }} (openjre, gnugp, ...)"
  ansible.builtin.include_tasks:
    file: "{{ dependencies_dir}}/{{ item }}"
  with_items:
    - "openjdk-{{ java.version }}-jre_{{ ansible_os_family }}.yml"
    - "gnupg_{{ ansible_os_family }}.yml"
  vars:
    dependencies_dir: "./dependencies"
